# $Revision: 1.21 $, $Date: 2008/09/01 20:07:39 $
%define		snap	20080816
%define		snaph	2245
%define		rel	3
Summary:	H264 encoder library
Summary(pl.UTF-8):	Biblioteka kodująca H264
Name:		libx264
Version:	0.1.2
Release:	1.%{snap}_%{snaph}.%{rel}
License:	GPL v2+
Group:		Libraries
# unofficial, debianized/libtoolized packaging:
#Source0:	http://www.acarlab.com/misc-dnlds/%{name}-%{version}.tar.gz
# but it's too old, so use snapshots...
Source0:	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{snap}-%{snaph}.tar.bz2
# Source0-md5:	0a188b8e13c62f6a97eba1c5d4ab3a3f
Patch0:		%{name}-alpha.patch
URL:		http://www.videolan.org/developers/x264.html
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
%ifarch %{ix86} %{x8664}
BuildRequires:	yasm >= 0.6.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# encoder/macroblock.c breaks strict-aliasing rules
%define		specflags	-fno-strict-aliasing

%description
libx264 library for encoding H264 video format.

%description -l pl.UTF-8
Biblioteka libx264 do kodowania w formacie obrazu H264.

%package devel
Summary:	Header files for x264 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki x264
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for x264 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki x264.

%package static
Summary:	Static x264 library
Summary(pl.UTF-8):	Statyczna biblioteka x264
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static x264 library.

%description static -l pl.UTF-8
Statyczna biblioteka x264.

%package gtk
Summary:	x264 GTK+ configuration interface library
Summary(pl.UTF-8):	Biblioteka interfejsu konfiguracyjnego GTK+ dla x264
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	libx264-gui < 0.1.2-1.20080816_2245.2

%description gtk
x264 GTK+ configuration interface library.

%description gtk -l pl.UTF-8
Biblioteka interfejsu konfiguracyjnego GTK+ dla x264.

%package gtk-devel
Summary:	Header files for x264gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki x264gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}

%description gtk-devel
Header files for x264gtk library.

%description gtk-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki x264gtk.

%package gtk-static
Summary:	Static x264gtk library
Summary(pl.UTF-8):	Statyczna biblioteka x264gtk
Group:		X11/Development/Libraries
Requires:	%{name}-gtk-devel = %{version}-%{release}

%description gtk-static
Static x264gtk library.

%description gtk-static -l pl.UTF-8
Statyczna biblioteka x264gtk.

%package gui
Summary:	Encoding GUI for x264
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do kodera x264
Group:		X11/Applications/Multimedia
Requires:	%{name}-gtk = %{version}-%{release}

%description gui
Encoding GUI for x264.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika do kodera x264.

%prep
%setup -q -n x264-snapshot-%{snap}-%{snaph}
%patch0 -p1
sed -i 's:-O4::g' configure

%build
CC="%{__cc}" \
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--extra-cflags="%{rpmcflags}" \
	--enable-gtk \
	--enable-pic \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang x264_gtk

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/x264
%attr(755,root,root) %{_libdir}/libx264.so.60

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx264.so
%{_includedir}/x264.h
%{_pkgconfigdir}/x264.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libx264.a

%files gtk -f x264_gtk.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx264gtk.so.60
%{_datadir}/x264

%files gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx264gtk.so
%{_includedir}/x264_gtk*.h
%{_pkgconfigdir}/x264gtk.pc

%files gtk-static
%defattr(644,root,root,755)
%{_libdir}/libx264gtk.a

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/x264_gtk_encode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libx264.spec,v $
Revision 1.21  2008/09/01 20:07:39  arekm
- rel .3

Revision 1.20  2008/08/23 12:00:32  qboosh
- package libx264gtk properly
- rel 2

Revision 1.19  2008/08/23 11:34:46  qboosh
- s/_rel/rel/

Revision 1.18  2008/08/17 09:04:49  charles
- our libx264 is old (and slow), so updated to latest snap; NOTE: new soname
- BR yasm only
- new subpackage -gui; BR: gettext-devel, gtk+2-devel, pkgconfig

Revision 1.17  2007/11/04 15:21:44  qboosh
- updated URL
- some recent SSSE3 code needs yasm >= 0.6.0

Revision 1.16  2007/10/09 17:17:13  aflinta
- refresh snap to 20071008

Revision 1.15  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.13  2006/12/04 21:15:51  glen
- rel 2

Revision 1.12  2006/12/04 21:06:19  glen
- recognize alpha

Revision 1.11  2006/10/25 22:40:21  charles
- update to 20061024 snap (X264_BUILD 54)

Revision 1.10  2006/09/04 12:44:38  qboosh
- merged update to 20060828 snap (from x264.spec), removed obsolete liblink patch

Revision 1.9  2006/05/19 08:18:54  qboosh
- dropped acam patch, pass CC

Revision 1.8  2006/05/01 15:10:57  pluto
- tabs.

Revision 1.7  2006/05/01 14:54:32  pluto
- builds on x86-64.

Revision 1.6  2006/05/01 10:25:35  aflinta
- fixed release for easier upgrade

Revision 1.5  2006/05/01 10:14:19  aflinta
- new snap, missing acam patch

Revision 1.4  2005/10/31 09:05:30  qboosh
- merged from DEVEL

Revision 1.3.2.2  2005/10/30 21:36:21  qboosh
- hacked acam patch to disable asm on x86_64 (not ready for shared lib)

Revision 1.3.2.1  2005/10/24 05:52:48  qboosh
- updated to 20051022-2245 snap
- nasm,link patches replaced by acam patch (ac/am/lt support based on
  debianization by Arvind R.)

Revision 1.3  2005/10/13 14:19:34  pluto
- TODO.

Revision 1.2  2005/10/13 13:46:52  pluto
- nasm required for x86 build.

Revision 1.1  2005/10/11 21:10:37  qboosh
- new
